summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author klaatu <klaatu@member.fsf.org>2013-01-07 20:19:33 +0100
committer dsomero <xgizzmo@slackbuilds.org>2013-01-09 18:52:26 -0500
commit353eda98897630a27f8e84aa5514d4803a17225e (patch)
treeb79eaf23316f89696716f3710075a82b711b7b03
parenta0f7c4bfde9b167b3d7a9f921176aa1e734e030a (diff)
downloadslackbuilds-353eda98897630a27f8e84aa5514d4803a17225e.tar.gz
slackbuilds-353eda98897630a27f8e84aa5514d4803a17225e.tar.xz
graphics/mypaint: Added (graphic painting application).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--graphics/mypaint/README7
-rw-r--r--graphics/mypaint/doinst.sh9
-rw-r--r--graphics/mypaint/mypaint.SlackBuild92
-rw-r--r--graphics/mypaint/mypaint.info10
-rw-r--r--graphics/mypaint/slack-desc19
5 files changed, 137 insertions, 0 deletions
diff --git a/graphics/mypaint/README b/graphics/mypaint/README
new file mode 100644
index 0000000000..bd8f4be806
--- /dev/null
+++ b/graphics/mypaint/README
@@ -0,0 +1,7 @@
+MyPaint is a fast and easy open-source graphics application for
+digital painters. It lets you focus on the art instead of the
+program. You work on your canvas with minimum distractions, bringing
+up the interface only when you need it.
+
+It is particularly well-suited for pressure-sensitive input devices,
+such as tablets.
diff --git a/graphics/mypaint/doinst.sh b/graphics/mypaint/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/graphics/mypaint/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/graphics/mypaint/mypaint.SlackBuild b/graphics/mypaint/mypaint.SlackBuild
new file mode 100644
index 0000000000..579d0ccb42
--- /dev/null
+++ b/graphics/mypaint/mypaint.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for mypaint
+
+# Copyright 2013 klaatu klaatu@member.fsf.org
+# All rights reserved.
+#
+# GNU All-Permissive License
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved. This file is offered as-is,
+# without any warranty.
+
+PRGNAM=mypaint
+VERSION=${VERSION:-1.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Respect our $LIBDIRSUFFIX
+sed -i "s|prefix/lib/|prefix/lib$LIBDIRSUFFIX/|" SCons* brushlib/SConscript
+sed -i "s|lib/$PRGNAM/|lib$LIBDIRSUFFIX/$PRGNAM/|" $PRGNAM.py
+
+# Use our CFLAGS
+sed -i "s|-O3|$SLKCFLAGS|g" SConstruct
+
+scons prefix="$PKG"/usr install
+
+# Fix the pkgconfig file
+sed -i \
+ -e "s|$PKG||" \
+ -e "s|/lib$|/lib$LIBDIRSUFFIX|" \
+ $PKG/usr/lib$LIBDIRSUFFIX/pkgconfig/lib$PRGNAM.pc
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING COPYING.cursors LICENSE \
+ README README.gegl README.gtk3 \
+ changelog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/mypaint/mypaint.info b/graphics/mypaint/mypaint.info
new file mode 100644
index 0000000000..397c7fb2a1
--- /dev/null
+++ b/graphics/mypaint/mypaint.info
@@ -0,0 +1,10 @@
+PRGNAM="mypaint"
+VERSION="1.1.0"
+HOMEPAGE="http://mypaint.intilinux.com/"
+DOWNLOAD="http://download.gna.org/mypaint/mypaint-1.1.0.tar.bz2"
+MD5SUM="7846a8406259d0fc81c9a2157a2348bf"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="json-c numpy"
+MAINTAINER="klaatu"
+EMAIL="klaatu@member.fsf.org"
diff --git a/graphics/mypaint/slack-desc b/graphics/mypaint/slack-desc
new file mode 100644
index 0000000000..da95a9890a
--- /dev/null
+++ b/graphics/mypaint/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mypaint: mypaint (graphic painting application)
+mypaint:
+mypaint: MyPaint is a fast and easy open-source graphics application for
+mypaint: digital painters. It lets you focus on the art instead of the
+mypaint: program. You work on your canvas with minimal distractions,
+mypaint: bringing up the interface only when you need it.
+mypaint:
+mypaint: homepage: http://mypaint.intilinux.com/
+mypaint:
+mypaint:
+mypaint: